Bug 1884347 - gnome nautilus SIGSEGV crash while browsing for files
Summary: gnome nautilus SIGSEGV crash while browsing for files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-01 18:15 UTC by itrymybest80
Modified: 2021-11-30 19:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 19:05:17 UTC
Type: Bug


Attachments (Terms of Use)
core_backtrace (32.25 KB, text/plain)
2020-10-08 18:53 UTC, itrymybest80
no flags Details
core_backtrace2 (24.06 KB, text/plain)
2021-08-15 10:48 UTC, itrymybest80
no flags Details

Description itrymybest80 2020-10-01 18:15:04 UTC
Description of problem: it has happend a couple of times now on wayland, where my gnome/nautilus window will crash while browsing for files and has to be reopened.


Version-Release number of selected component (if applicable): nautilus-3.38.0-1.fc33.x86_64


How reproducible: every now and then, but not always.


Steps to Reproduce:
1. opened a file in one of my folders.
2. kept the nautilus/window opened and left it glued to the left side of my screen.
3. the file i opened was playing audio/video on the right side.
4. pointed my mouse cursor over to the left side of my screen over to where i had my gnome/nautilus window open.
5. scrolled down the list of files and it crash again.


Actual results: while browsing for files in a folder nautilus/window crashed.


Expected results: should be able to browse for files and scroll up and down with your mouse.


nautilus killed by SIGSEGV
list_view_scroll_to_file
/usr/bin/nautilus --gapplication-service


nautilus-3.38.0-1.fc33.x86_64
gnome-shell-3.38.0-2.fc33.x86_64
mutter-3.38.0-2.fc33.x86_64
kernel 5.8.12-300.fc33.x86_64

Comment 1 itrymybest80 2020-10-08 18:45:15 UTC
I've got the same bug on nautilus-3.38.1-1.fc33.x86_64.

Comment 2 itrymybest80 2020-10-08 18:53:10 UTC
Created attachment 1720048 [details]
core_backtrace

Comment 3 itrymybest80 2021-03-28 14:32:47 UTC
Also happens on Fedora 34 (beta) with nautilus-40.0-1.fc34.x86_64. nautilus killed by SIGSEGV list_view_scroll_to_file /usr/bin/nautilus --gapplication-service

Comment 4 itrymybest80 2021-08-15 10:47:33 UTC
5.13.9-200.fc34.x86_64 GNU/Linux

nautilus killed by SIGSEGV
list_view_scroll_to_file
/usr/bin/nautilus --gapplication-service
nautilus-40.2-1.fc34

gtk_widget_get_mapped: assertion 'GTK_IS_WIDGET (widget)' failed
gdk_window_is_visible: assertion 'GDK_IS_WINDOW (window)' failed
gdk_window_show_internal: assertion 'GDK_IS_WINDOW (window)' failed
gtk_widget_set_opacity: assertion 'GTK_IS_WIDGET (widget)' failed
gtk_widget_queue_draw: assertion 'GTK_IS_WIDGET (widget)' failed

Comment 5 itrymybest80 2021-08-15 10:48:48 UTC
Created attachment 1814225 [details]
core_backtrace2

Comment 6 Ben Cotton 2021-11-04 13:47:41 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-04 14:17:09 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-11-04 15:14:49 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-11-30 19:05:17 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.